%bcond_without base
%bcond_with up2date
%bcond_without yum

Summary: Configuration files for package managers.
Name: atrpms-package-config
Version: 120
Release: 3%{?dist}
License: GPL
Group: System Environment/Base
URL: http://ATrpms.net/
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%if %{with yum}
#Requires: /usr/lib/yum-plugins/kmdl.py
%endif
Obsoletes: fedora-package-config, redhat-package-config
Provides: fedora-package-config, redhat-package-config
Obsoletes: smart-config, apt-config, yum-config
Provides: smart-config, apt-config, yum-config
#Obsoletes: medley-package-config

%description
This package contains configuration files for yum, smart and apt.

%package -n medley-package-config
Summary: Configuration files for package managers.
Group: System Environment/Base
Requires: atrpms-package-config = %{evr}

%description -n medley-package-config
This package contains configuration files for yum, smart and apt.

%prep
%setup -q

%build
./make-config-files.sh %{distinitials}%{distversion}-%{_target_cpu}
mkdir %{distinitials}%{distversion}-%{_target_cpu}%{_sysconfdir}/apt/vendors.list.d
mv %{distinitials}%{distversion}-%{_target_cpu}%{_sysconfdir}/apt/vendors.list \
   %{distinitials}%{distversion}-%{_target_cpu}%{_sysconfdir}/apt/vendors.list.d/atrpms.list

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}
cp -a %{distinitials}%{distversion}-%{_target_cpu}/* %{buildroot}

%if ! %{with yum}
rm -fr %{buildroot}%{_sysconfdir}/yum*
%endif

%post
for x in %{_sysconfdir}/apt/* %{_sysconfdir}/apt/*/* \
         %{_sysconfdir}/yum* %{_sysconfdir}/yum*/*; do
  test \! -e $x -o -d $x && continue
  grep apt.physik.fu-berlin.de $x > /dev/null 2>&1 && \
    perl -pi -e's,apt.physik.fu-berlin.de,apt.atrpms.net,g' $x

  grep apt.atrpms.net.*fedora $x > /dev/null 2>&1 && \
    perl -pi -e's,apt.atrpms.net(.*)fedora/([^/]*)/en/([^/ ]*),dl.atrpms.net\1fc\2-\3,g' $x
  grep apt.atrpms.net.*redhat $x > /dev/null 2>&1 && \
    perl -pi -e's,apt.atrpms.net(.*)redhat/([^/]*)/en/([^/ ]*),dl.atrpms.net\1rh\2-\3,g' $x
  grep apt.atrpms.net.*rhel $x > /dev/null 2>&1 && \
    perl -pi -e's,apt.atrpms.net(.*)rhel/([^/]*)/en/([^/ ]*),dl.atrpms.net\1el\2-\3,g' $x

  grep dl.atrpms.net.*/at- $x  > /dev/null 2>&1 && \
    perl -pi -e's,(dl.atrpms.net.*)/at-,\1/atrpms/,g' $x
done
exit 0

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
#dir %{_sysconfdir}/smart
#dir %{_sysconfdir}/smart/channels
%if %{with base}
%config(noreplace) %{_sysconfdir}/smart/channels/base.channel
%endif
%config(noreplace) %{_sysconfdir}/smart/channels/atrpms.channel
#/usr/lib/smart
%exclude /usr/lib/smart

#dir %{_sysconfdir}/apt
#config(noreplace) %{_sysconfdir}/apt/apt.conf
%exclude %{_sysconfdir}/apt/apt.conf
#config(noreplace) %{_sysconfdir}/apt/preferences
%exclude %{_sysconfdir}/apt/preferences
#config(noreplace) %{_sysconfdir}/apt/sources.list
%exclude %{_sysconfdir}/apt/sources.list
#dir %{_sysconfdir}/apt/sources.list.d
%if %{with base}
%config(noreplace) %{_sysconfdir}/apt/sources.list.d/base.list
%endif
%config(noreplace) %{_sysconfdir}/apt/sources.list.d/atrpms.list
%config(noreplace) %{_sysconfdir}/apt/vendors.list.d/atrpms.list
%exclude %{_sysconfdir}/apt/rpmpriorities
#dir %{_sysconfdir}/apt/apt.conf.d

%if %{with up2date}
#dir /etc/sysconfig/rhn
#config(noreplace) /etc/sysconfig/rhn/sources
%exclude /etc/sysconfig/rhn/sources
%dir /etc/sysconfig/rhn/sources.d
%if %{with base}
%config(noreplace) /etc/sysconfig/rhn/sources.d/base.sources
%endif
%config(noreplace) /etc/sysconfig/rhn/sources.d/atrpms.sources
%else
%exclude /etc/sysconfig/rhn
%endif

%if %{with yum}
#config(noreplace) %{_sysconfdir}/yum20.conf
%exclude %{_sysconfdir}/yum20.conf

%exclude %{_sysconfdir}/yum.conf
#dir %{_sysconfdir}/yum.repos.d
%if %{with base}
%config(noreplace) %{_sysconfdir}/yum.repos.d/base.repo
%endif
%config(noreplace) %{_sysconfdir}/yum.repos.d/atrpms.repo
%endif

%files -n medley-package-config
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/smart/channels/*.channel
%if %{with base}
%exclude %{_sysconfdir}/smart/channels/base.channel
%endif
%exclude %{_sysconfdir}/smart/channels/atrpms.channel

%config(noreplace) %{_sysconfdir}/apt/sources.list.d/*.list
%if %{with base}
%exclude %{_sysconfdir}/apt/sources.list.d/base.list
%endif
%exclude %{_sysconfdir}/apt/sources.list.d/atrpms.list

%if %{with up2date}
%config(noreplace) /etc/sysconfig/rhn/sources.d/*.sources
%if %{with base}
%exclude /etc/sysconfig/rhn/sources.d/base.sources
%endif
%exclude /etc/sysconfig/rhn/sources.d/atrpms.sources
%endif

%if %{with yum}
%config(noreplace) %{_sysconfdir}/yum.repos.d/*.repo
%if %{with base}
%exclude %{_sysconfdir}/yum.repos.d/base.repo
%endif
%exclude %{_sysconfdir}/yum.repos.d/atrpms.repo
%endif

%changelog
* Tue Mar 25 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 119-1
- Add support for Fedora 9.

* Thu May 24 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 115-4
- Rename main package to atrpms-package-config.
- Drop dependency on /usr/lib/yum-plugins/kmdl.py (#1195).

* Wed Dec 13 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 113-1
- Remove legacy entries for FC5 and FC6.

* Fri Oct 27 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 112-1
- Add some FC6 repos.

* Sat Aug 19 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 110-1
- Activate FL for all, even future FL releases.

* Sat Aug  5 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add fc6 URLs.
- Prefer repomd over apt where possible

* Sun May  7 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Fix dries' URLs.

* Fri Apr  7 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Fix ivazquez repos, there was an arch missing in the URL.

* Mon Apr  3 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add more fc5 repos.
- Add Ignacio Vazquez-Abrams's repos (ivazquez).

* Thu Jan 12 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add fc5 repos.

* Thu Dec 15 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Make subpackages stackable.

* Thu Jul 14 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Merge srpms of atrpms-package-config and medley-package-config.

* Sat Jun 18 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add el3/el4/fc4 repos.

* Fri Dec 17 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add smart support.

* Tue Nov 16 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Split yum config files for yum 2.0.x and yum >= 2.1.x.

* Tue Nov  9 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add fc3 support.

* Tue Sep 28 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add fedoralegacy repo for FC1.
- Prapare commented entries for fedoralegacy repo for FC2.

* Fri Sep  3 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Rename apt.physik.fu-berlin.de to apt.atrpms.net

* Tue Aug 17 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Change main dries repo to lower load on studentenweb.org.

* Thu Jul 29 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Fork ATrpms-only package, former atrpms-package-config
  package has been renamed to medley-package.config.

* Sat Jul 24 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Fix nr entries for production.
- Add freshrpms' x86_64 entries.

* Fri May 28 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add RPM::Order "true" to apt.conf.

* Mon May 24 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Added back Gstreamer, now we know where it went to.
- New fc2 list officially published.

* Thu May  6 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add fedoralegacy repos where appropriate.

* Fri Apr  2 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Remove nonfree sections of BIOrpms, as these were accidentially activated.

* Mon Mar 15 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Change in Matt's repo structure.

* Thu Mar 11 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Interrepo problems with Dag's obsoletes.

* Fri Mar  5 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Split off package from atrpms package (check there for prior logs).

